4 个回答

1.不要用idea内置的maven,自己去apche官网下或者到http://mirrors.ustc.edu.cn/ap... 下载

2.下载之后配置环境变量,设置阿里镜像(不设置也可以,设置了会快一些)

<?xml version="1.0" encoding="UTF-8" ?>
<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">
  <localRepository>C:\Users\chenw\.m2\repository</localRepository>
  <mirrors>
    <mirror>
      <id>alimaven</id>
      <name>aliyun maven</name>
      <url>http://maven.aliyun.com/nexus/content/groups/public/</url>
      <mirrorOf>central</mirrorOf>
    </mirror>
    <mirror>
      <id>alimaven</id>
      <mirrorOf>central</mirrorOf>
      <name>aliyun maven</name>
      <url>http://maven.aliyun.com/nexus/content/repositories/central/</url>
    </mirror>
  </mirrors>
</settings>

3.idea配置外部maven,注意红圈是我的maven地址,要换成你的

Snipaste_2020-01-18_19-25-43.png

4.转动绕圈的轮,更新依赖

Snipaste_2020-01-18_19-23-27.png

评论 赞赏 1月18日
    Yujiaao
    • 10.3k

    你设置的是repo.maven.apache.org, 这个可能不容易下载下来, 建议改用 https://mvnrepository.com/https://repo1.maven.org/maven2/ 之类的, 查查你的pom.xml和用户家目录下的.m2/settings.xml文件里的设置,换换试试,如果没有settings.xml最好参考网上的例子建一下。

    评论 赞赏 1月11日

      先注释parent那段代码,然后手动指定一下依赖的版本试试

      评论 赞赏 1月13日
        mghio
        • 29

        看下你 IntelliJ IDEA 配置的 maven 信息对不对,一般这种情况就是依赖包没下载下来

        评论 赞赏 1月16日
          撰写回答

          登录后参与交流、获取后续更新提醒